import 'reflect-metadata';
import { Unsubscribable } from 'rxjs';
import * as cdeops from 'cdeops/client';
import { MessageTransports } from '@adminide-stack/extension-api';
/**
 * Starts the extension host, which runs extensions. It is a Web Worker or other similar isolated
 * JavaScript execution context. There is exactly 1 extension hsot, and it has zeor or more
 * extensions activated (and running).
 *
 * It expects to receive a message containing {@link IInitData} from the client application as the
 * first message.
 *
 * @param transports The message reader and writer to use for communication with the client.
 * @return An unsubscribable to terminate the extension host.
 */
export declare function startExtensionHost(transports: MessageTransports, enableBackendConnection?: boolean): Unsubscribable & {
    extensionAPI: Promise<typeof cdeops>;
};
//# sourceMappingURL=extension-host.d.ts.map