import { ContainerModule } from 'inversify';
import { SERVER_TYPES } from 'common';
import { CommandRegistry } from '../services/command-service.js';
import { ModelService } from '../services/model-service.js';
import { ViewerService } from '../services/viewer-service.js';
import { ContributionRegistry } from '../services/contribution-service.js';

const extensionModule = () => new ContainerModule(bind => {
  bind(SERVER_TYPES.ICommandRegistry).to(CommandRegistry).inSingletonScope();
  bind(SERVER_TYPES.IContributionRegistry).to(ContributionRegistry).inSingletonScope();
  // bind(SERVER_TYPES.IExtensionService).to();
  bind(SERVER_TYPES.IModelService).to(ModelService).inSingletonScope();
  bind(SERVER_TYPES.IViewerService).to(ViewerService).inSingletonScope();
  // bind(SERVER_TYPES.IWindowsService).to();
});

export { extensionModule };
//# sourceMappingURL=module.js.map
